/**
 * @file
 * Drupal etuf object.
 */

/**
 * @namespace
 */
(function ($, Drupal) {

  Drupal.behaviors.entity_translation_unified_form = {
    settings: drupalSettings.entity_translation_unified_form || {},
    attach: function (context, settings) {
      if (context == document) {
        if ($('body').hasClass('etuf-sbs')) {
          //ETUF - sync the publish status selection, with JS
          var bothStatus = $("#edit-moderation-state-0-state, #edit-moderation-state-etuf-fr-0-state, #edit-moderation-state-etuf-en-0-state");
          bothStatus.change(function(e) {
            bothStatus.val(this.value); // "this" is the changed one
          });
        }
      }
    }
  };

  /**
   * Returns the version of WxT being used.
   *
   * @return {string}
   *   The version of WxT being used.
   */
  //Drupal.entity_translation_unified_form.version = 'v1.x';


})(window.jQuery, window.Drupal, window.drupalSettings);
